Bug 1406786 (configsnap) - Review Request: configsnap - Record and compare system state
Summary: Review Request: configsnap - Record and compare system state
Keywords:
Status: CLOSED ERRATA
Alias: configsnap
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ricardo Cordeiro
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-12-21 13:35 UTC by Christos Triantafyllidis
Modified: 2017-02-05 05:19 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-01-29 03:16:35 UTC
Type: ---
ricardo.cordeiro: fedora-review+


Attachments (Terms of Use)

Description Christos Triantafyllidis 2016-12-21 13:35:24 UTC
Spec URL: https://ctria.fedorapeople.org/packaging/configsnap/configsnap.spec
SRPM URL: https://ctria.fedorapeople.org/packaging/configsnap/configsnap-0.11-1.fc25.src.rpm
Description: Record and compare system state
Fedora Account System Username: ctria

Comment 1 Christos Triantafyllidis 2016-12-21 14:01:47 UTC
Fedora 25 scratch build:
https://koji.fedoraproject.org/koji/taskinfo?taskID=17015371

Fedora 24 scratch build:
https://koji.fedoraproject.org/koji/taskinfo?taskID=17015375

EPEL7 scratch build:
https://koji.fedoraproject.org/koji/taskinfo?taskID=17015377

EPEL6 scratch build:
https://koji.fedoraproject.org/koji/taskinfo?taskID=17015384


It is not possible to do a scratch build for rawhide currently as it fails on dependencies that are not related to that package:
Error: nothing provides libpython3.6m.so.1.0()(64bit) needed by gdb-headless-7.12-31.fc26.aarch64

Comment 2 Sachidananda Urs 2016-12-26 12:52:53 UTC
This is an unofficial review of the package:

Looks good to me.

rpmlint results:

[sac@dhcp35-44 1406786-configsnap]$ rpmlint results/configsnap-0.11-1.fc24.noarch.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
[sac@dhcp35-44 1406786-configsnap]$ rpmlint  results/configsnap-0.11-1.fc24.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

fedora-review runs successfully. No issue seen.

Comment 3 Ricardo Cordeiro 2017-01-11 18:16:19 UTC
Hi Christos,

Please review the following official review results. Once you're ready for a 2nd pass, please drop "AwaitingSubmitter" from the Whiteboard. Thanks.




Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

[x]: Each %files section contains %defattr if rpm < 4.4
     Note: %defattr present but not needed

     "The %defattr directive in the %files list SHOULD ONLY be used when setting a
      non-default value, or to reset to the default value after having set a
      non-default value."
      Reference: https://fedoraproject.org/wiki/Packaging:Guidelines#File_Permissions

      I would recommend removing it per guidelines but I will not fail this review if
      it remains unchanged.

[!]: Package obeys FHS, except libexecdir and /usr/target.

     /usr/bin/configsnap fails to run if not done as root. This being the case, it
     should be placed under /usr/sbin instead
     Ref.: http://refspecs.linuxfoundation.org/FHS_3.0/fhs/ch04s10.html

[!]: Package meets the Packaging Guidelines::Python

     "Packages in Fedora should not depend on where /usr/bin/python happens to point
     but instead should call the proper executable for the needed python major version
     directly, either /usr/bin/python2 or /usr/bin/python3 as appropriate."
     Ref.: https://fedoraproject.org/wiki/Packaging:Python#Multiple_Python_Runtimes

     /usr/bin/configsnap's shebang is set to /usr/bin/python, I would suggest upstream
     to change this or alternatively patch the source when packaging the for Fedora
     and EPEL as it has been done for unoconv 
     http://pkgs.fedoraproject.org/cgit/rpms/unoconv.git/tree/

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Apache (v2.0)", "Unknown or generated". 5 files have unknown
     license. Detailed output of licensecheck in
     /home/makerpm/reviews/configsnap/1406786-configsnap/licensecheck.txt
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 3 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[-]: Python eggs must not download any dependencies during the build
     process.
[-]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

[?] - getData script provided by upstream is not included. I understand that
      its purpose is limited as it only serves to warn the user that the script
      has been renamed to configsnap. I guess you've not included it by design,
      although, if included, /usr/bin/getdata would not collide with any current
      packages on Fedora, RHEL and EPEL repositories. Please confirm that this was
      done by design.

Generic:
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: configsnap-0.11-1.fc23.noarch.rpm
          configsnap-0.11-1.fc23.src.rpm
2 packages and 0 specfiles checked; 0 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
1 packages and 0 specfiles checked; 0 errors, 0 warnings.



Requires
--------
configsnap (rpmlib, GLIBC filtered):
    /usr/bin/python



Provides
--------
configsnap:
    configsnap



Source checksums
----------------
https://github.com/rackerlabs/configsnap/archive/0.11.tar.gz :
  CHECKSUM(SHA256) this package     : c86e15ed04029afda3d0c3221e0cbde208c5e1315d89d1af0724970499790ec0
  CHECKSUM(SHA256) upstream package : c86e15ed04029afda3d0c3221e0cbde208c5e1315d89d1af0724970499790ec0


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -b 1406786 -P Python -D EPEL6
 used: fedora-23-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH

Comment 4 Christos Triantafyllidis 2017-01-25 17:34:41 UTC
Thank you Ricardo,

Updated SRPM:
https://ctria.fedorapeople.org/packaging/configsnap/configsnap-0.11-2.fc25.src.rpm

Updated SPEC:
https://ctria.fedorapeople.org/packaging/configsnap/configsnap.spec

Included patch (as I don't think that needs to go to upstream, that is a Fedora implementation issue):
https://ctria.fedorapeople.org/packaging/configsnap/python_executable.patch

On your comments:
[!]: Package obeys FHS, except libexecdir and /usr/target.
Correct, changed!

[!]: Package meets the Packaging Guidelines::Python
Correct, changed!

[?] - getData script provided by upstream is not included. I understand that
      its purpose is limited as it only serves to warn the user that the script
      has been renamed to configsnap. I guess you've not included it by design,
      although, if included, /usr/bin/getdata would not collide with any current
      packages on Fedora, RHEL and EPEL repositories. Please confirm that this was
      done by design.
That is done by design that was added as part of the deprecation of the old project name. There is no need to introduce this in Fedora/EPEL.

Comment 5 Ricardo Cordeiro 2017-01-25 21:00:21 UTC
Hi Christos,

Thanks for your update, modified specfile and patch. The package is ready to be included in the package DB.

Please find below my last review.

Kind Regards,
Ricardo Cordeiro


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Apache (v2.0)", "Unknown or generated". 5 files have unknown
     license. Detailed output of licensecheck in
     /home/makerpm/reviews/configsnap/1406786-configsnap/licensecheck.txt
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Each %files section contains %defattr if rpm < 4.4
     Note: %defattr present but not needed
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 3 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[-]: Python eggs must not download any dependencies during the build
     process.
[-]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[-]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: configsnap-0.11-2.fc23.noarch.rpm
          configsnap-0.11-2.fc23.src.rpm
2 packages and 0 specfiles checked; 0 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
1 packages and 0 specfiles checked; 0 errors, 0 warnings.



Requires
--------
configsnap (rpmlib, GLIBC filtered):
    /usr/bin/python2



Provides
--------
configsnap:
    configsnap



Source checksums
----------------
https://github.com/rackerlabs/configsnap/archive/0.11.tar.gz :
  CHECKSUM(SHA256) this package     : c86e15ed04029afda3d0c3221e0cbde208c5e1315d89d1af0724970499790ec0
  CHECKSUM(SHA256) upstream package : c86e15ed04029afda3d0c3221e0cbde208c5e1315d89d1af0724970499790ec0


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -b 1406786 -P Python -D EPEL6
Buildroot used: fedora-23-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH

Comment 6 Gwyn Ciesla 2017-01-26 13:52:33 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/configsnap

Comment 7 Fedora Update System 2017-01-26 20:25:36 UTC
configsnap-0.11-2.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-9eceee16d4

Comment 8 Fedora Update System 2017-01-26 20:25:58 UTC
configsnap-0.11-2.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-4e3b8f8b55

Comment 9 Fedora Update System 2017-01-26 20:26:20 UTC
configsnap-0.11-2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-454e58d905

Comment 10 Fedora Update System 2017-01-26 20:26:38 UTC
configsnap-0.11-2.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-33ef43756a

Comment 11 Fedora Update System 2017-01-27 02:48:17 UTC
configsnap-0.11-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-454e58d905

Comment 12 Fedora Update System 2017-01-27 19:55:21 UTC
configsnap-0.11-2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-4e3b8f8b55

Comment 13 Fedora Update System 2017-01-28 04:55:15 UTC
configsnap-0.11-2.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-9eceee16d4

Comment 14 Fedora Update System 2017-01-28 05:46:51 UTC
configsnap-0.11-2.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-33ef43756a

Comment 15 Fedora Update System 2017-01-29 03:16:35 UTC
configsnap-0.11-2.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2017-01-29 03:18:59 UTC
configsnap-0.11-2.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2017-02-04 23:48:50 UTC
configsnap-0.11-2.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2017-02-05 05:19:07 UTC
configsnap-0.11-2.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.